### Function

# Gegl Path add_flattener

#### Declaration [src]

    void
    gegl_path_add_flattener (
      GeglFlattenerFunc func
    )

#### Description [src]

Add a new flattener, the flattener should produce a type of path that GeglPath already understands, if the flattener is unable to flatten the incoming path (doesn’t understand the instructions), the original path should be returned.

This function is not directly available to language bindings.

#### Parameters

`func`

  Type: `GeglFlattenerFunc`

  A `GeglFlattenerFunc`.